본문으로 건너뛰기
javinfo

아이돌 조회 (단일 결과)

GET
/idols/{id}

Authorization

apiKey
headerx-javinfo-key<token>

Your javinfo API key. Create one in the dashboard.

Path Parameters

id*string
Length1 <= length

Response Body

OK

application/json
  1. response
q*string
source*unknown
result*
Example Request
curl -X GET 'https://api.javinfo.dev/idols/string'
Example Response
{  "q": "string",  "source": "idols",  "result": {    "id": "string",    "name": "string",    "nameJa": "string",    "image": "string",    "tags": [      "string"    ],    "pageUrl": "string",    "slug": "string",    "age": 0,    "dob": "string",    "debut": "string",    "debutAge": 0,    "birthplace": "string",    "sign": "string",    "blood": "string",    "measurements": "string",    "cup": "string",    "heightCm": 0,    "shoeSize": 0,    "hairLengths": [      "string"    ],    "hairColors": [      "string"    ],    "aliases": [      "string"    ],    "images": [      "string"    ],    "sources": [      "javdatabase"    ],    "ids": {      "javdatabase": "string",      "dmm": 0    }  }}